{% extends "base_navbar.html" %}
{% load static %}

{% block navbar_projets %}
    active
{% endblock %}

{% block title %}
    Créer une prestation
{% endblock %}

{% block head_css %}
    <link href="{% static 'treso/css/facture.css' %}" rel="stylesheet" media="screen">
{% endblock %}

{% block header %}
    <header>
        <h1>
            Créer une prestation
        </h1>
        <div class="header-content">
            <p>
                Vous pouvez créer une nouvelle prestation.
                Aucune information ici, n'est, pour l'instant, accessible aux vrais clients.
            </p>
        </div>
    </header>
{% endblock %}

{% block content %}
    <div class="container-fluid">

        <form method="post" action="{% block action %}{% url 'ajouter_entree_grille' %}{% endblock %}">
            {% csrf_token %}

            {% if form.non_field_errors %}
                <div class="alert alert-danger" role="alert">
                    <ul>
                        {% for error in form.non_field_errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                </div>
            {% endif %}

            {% for field in form.visible_fields %}
                <div class="form-group row">
                    <div class="col-12">
                        {{ field.label_tag }}

                        {% if field.errors %}
                            <ul>
                                {% for error in field.errors %}
                                    <li>{{ error }}</li>
                                {% endfor %}
                            </ul>
                        {% endif %}

                        {{ field }}
                        {% if field.help_text %}
                            <small class="form-text text-muted">{{ field.help_text }}</small>
                        {% endif %}

                    </div>
                </div>
            {% endfor %}
            <input type="submit" class="btn btn-primary form-control" value="Valider"/>
        </form>
    </div>
{% endblock %}